unit about;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ExtCtrls, StdCtrls, ShellAPI;

type
  TAboutForm = class(TForm)
    Label1: TLabel;
    SpeedButton2: TSpeedButton;
    Label2: TLabel;
    lblWWW: TLabel;
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure lblWWWMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure SpeedButton1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure SpeedButton3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure SpeedButton2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure lblWWWClick(Sender: TObject);
    procedure CheckBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

uses main;

{$R *.DFM}


procedure TAboutForm.SpeedButton2Click(Sender: TObject);
begin
 aboutform.Close;
end;
procedure TAboutForm.SpeedButton3Click(Sender: TObject);
begin
 clientform.clientsocket.socket.sendtext ('ver');
end;


procedure TAboutForm.lblWWWMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
 lblWWW.Font.Style:=[fsUnderline];
end;

procedure TAboutForm.Label2MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
 lblWWW.Font.Style:=[];
end;

procedure TAboutForm.Label1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  lblWWW.Font.Style:=[];
end;

procedure TAboutForm.SpeedButton1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  lblWWW.Font.Style:=[];
end;

procedure TAboutForm.SpeedButton3MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  lblWWW.Font.Style:=[];
end;

procedure TAboutForm.SpeedButton2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  lblWWW.Font.Style:=[];
end;

procedure TAboutForm.lblWWWClick(Sender: TObject);
begin
 ShellExecute (0, 'open', 'http://www.gfailure.da.ru', nil, 'c:/', 1);
end;
procedure TAboutForm.CheckBox1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  lblWWW.Font.Style:=[];
end;

procedure TAboutForm.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  lblWWW.Font.Style:=[];
end;

end.
